Bug 75277 - FORMATTING: MS Office docx frame and index renders incorrect
Summary: FORMATTING: MS Office docx frame and index renders incorrect
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2014-02-20 19:09 UTC by mondane.woodworker
Modified: 2019-09-26 03:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Original Word 2007 document (87.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-20 19:09 UTC, mondane.woodworker
Details
Original Word 2007 document exported as PDF (409.30 KB, application/pdf)
2014-02-20 19:10 UTC, mondane.woodworker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mondane.woodworker 2014-02-20 19:09:11 UTC
Created attachment 94453 [details]
Original Word 2007 document

Problem description: 

A frame in a word document that has left and right borders equal as parenthesis shows as a square in writer. Also, the index is wrongly shown: in docx, there is space between the numbers and heads. In writer, there is no such space

Steps to reproduce:
1. Open the document doxc

Current behavior:

- The frame on the first page is shown as a square.
- The index doesn't have space between the number and the titles.

Expected behavior:

- The frame should be shown as seen in the PDF.
- There should be space between the number and titles in the index.

NB That space missing in the index is also missing when creating a real writer document. I never got that space, is this an overall bug?
              
Operating System: All
Version: 4.2.0.4 release
Comment 1 mondane.woodworker 2014-02-20 19:10:57 UTC
Created attachment 94454 [details]
Original Word 2007 document exported as PDF

The PDF shows the word document as intended.

NB The 'Error! Bookmark not defined.' are intentionally, those headers have been removed from the document.
Comment 2 Thomas van der Meulen 2014-03-22 19:45:31 UTC
Thank you for your bug report, I can reproduce this bug running 
Version: 4.2.3.1
Build ID: 3d4fc3d9dbf8f4c0aeb61498a81f91c5b7922f13
OS: Mac osx 10.9.2

I have compared it with Microsoft word 2007 on Windows 7.
Comment 3 Joel Madero 2015-05-02 15:44:21 UTC Comment hidden (obsolete)
Comment 4 mondane.woodworker 2015-05-04 06:02:43 UTC
What is still incorrect:

- The frame on the first page is shown as a square.

What is fixed:

- The index doesn't have space between the number and the titles.

I'm currently on Ubuntu 15.04 with LibreOffice Version: 

4.4.2.2
Build ID: 40m0(Build:2)
Locale : fr_FR
Comment 5 QA Administrators 2016-09-20 09:38:00 UTC Comment hidden (obsolete)
Comment 6 mondane.woodworker 2016-10-04 19:19:05 UTC
What is still incorrect:

- The frame on the first page is shown as a square.

What is fixed (was also fixed on 4.4.2.2):

- The index doesn't have space between the number and the titles.

I'm currently on Ubuntu 16.04 with LibreOffice Version: 

Version: 5.2.1.2
Build ID: libreoffice-5.2.1.2-snap1
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default;
Locale: nl-NL (C); Calc: group
Comment 7 mondane.woodworker 2017-07-10 19:34:21 UTC
What is still incorrect:

- The frame on the first page is shown as a square.
- In the PDF, paragraph 2.10 should be shown on page 2, instead it's on page 3. Incorrect line height or font size?

What is fixed (was also fixed on 4.4.2.2):

- The index doesn't have space between the number and the titles.

I'm currently on Ubuntu 16.04 with LibreOffice Version: 

Version: 5.3.4.2
Build ID: libreoffice-5.3.4.2-snap1
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 8 Xisco Faulí 2017-09-20 10:26:38 UTC
Frame issue still reproduce it in

Version: 6.0.0.0.alpha0+
Build ID: 8abc7ba9784f7898576fbdd7a48f0ff9e4445a68
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 9 QA Administrators 2018-09-21 02:47:52 UTC Comment hidden (obsolete)
Comment 10 mondane.woodworker 2018-09-25 11:20:27 UTC
What is still incorrect:

- The frame on the first page is shown as a black square.

What is (still) fixed:

- The index doesn't have space between the number and the titles.
- In the PDF, paragraph 2.10 is now properly shown on page 2.

I'm currently on Ubuntu 18.04 with LibreOffice Version: 

Version: 6.1.1.2
Build ID: libreoffice-6.1.1.2-snap1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 11 QA Administrators 2019-09-26 03:03:40 UTC
Dear mondane.woodworker,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug